Subject: Re: python 2.1.1 problems on cygwin 1.3.3-1
From: Jason Tishler <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Sat, 15 Sep 2001 23:23:54 -0400

Gerrit,

On Sat, Sep 15, 2001 at 05:09:06AM +0200, Gerrit P. Haase wrote:
> Sorry if I mail you directly, but another quick question:

Hmm... You should know better, please post in the future...

> I found this in the archives, a part from a patch by you:
> @@ -316,7 +317,8 @@
>              # Steen Lumholt's termios module
>              exts.append( Extension('termios', ['termios.c']) )
>              # Jeremy Hylton's rlimit interface
> -            exts.append( Extension('resource', ['resource.c']) )
> +            if sys.platform[:6] not in ['cygwin']:
> +                exts.append( Extension('resource', ['resource.c']) )
>  
>              if (self.compiler.find_library_file(lib_dirs, 'nsl')):
>                  exts.append( Extension('nis', ['nismodule.c'],
> 
> Does that mean that the resource extension isn't available for cygwin?

No, it appears that the above patch and Corinna's getrlimit() et al. patch
kind of crossed.  My patch was committed on 2001/01/24 03:31:07 and 
Corinna's on 2000/12/27 01:08:00:

Tue Dec 27  1:08:00 2000  Corinna Vinschen <[email-masked]>

        ...
        * resource.cc: New global variable `rlim_core'.
        (getrlimit): New function.
        (setrlimit): Ditto.
        ...

Since my youngest daughter was born on 2001/01/24 and I was fighting
to get my Cygwin Python DLL core (i.e., shared extensions) patch into
Python 2.1 for the third time (Python's build infrastructure underwent
radical changes right before the release), I was a little too harried
to upgrade my Cygwin DLL at the time.  Hence, the resource module failed
during my builds so I nixed it.

> And it is also not possible to build it?

No, it is possible with the attached patch.  Please try it and if it
works for you, then I will submit my patch to Python CVS.

Thanks,
Jason
Index: setup.py
===================================================================
RCS file: /cvsroot/python/python/dist/src/setup.py,v
retrieving revision 1.55
diff -r1.55 setup.py
432,433c432
<             if platform not in ['cygwin']:
<                 exts.append( Extension('resource', ['resource.c']) )
---
> 	    exts.append( Extension('resource', ['resource.c']) )
Index: Modules/resource.c
===================================================================
RCS file: /cvsroot/python/python/dist/src/Modules/resource.c,v
retrieving revision 2.18
diff -r2.18 resource.c
172c172,173
< void initresource(void)
---
> DL_EXPORT(void)
> initresource(void)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/